Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.instrument
Class ConByMethodJoinPointGenerator

    java.lang.Object
      org.jboss.aop.instrument.JoinPointGenerator
          org.jboss.aop.instrument.ConByMethodJoinPointGenerator

public class ConByMethodJoinPointGenerator
extends JoinPointGenerator

Version:
  $Revision: 1.12 $
Author:
  Kabir Khan

Nested Class Summary

Nested classes inherited from class org.jboss.aop.instrument.JoinPointGenerator
`JoinPointGenerator.AdviceSetup`

Field Summary
`static String` | `GENERATOR_PREFIX`
`static String` | `JOINPOINT_CLASS_PREFIX`
`static String` | `JOINPOINT_FIELD_PREFIX`

Fields inherited from class org.jboss.aop.instrument.JoinPointGenerator
`advisor, DISPATCH, GENERATE_JOINPOINT_CLASS, GENERATED_CLASS_ADVISOR, info, INFO_FIELD, INVOKE_JOINPOINT, joinpointClassName, joinpointFieldName, TARGET_FIELD`

Constructor Summary
`ConByMethodJoinPointGenerator(GeneratedClassAdvisor advisor, JoinPointInfo info)`

Method Summary
`protected static javassist.CtClass` | `createJoinpointBaseClass(GeneratedAdvisorInstrumentor instrumentor, long callingHash, boolean hasCallingObject, javassist.CtClass callingClass, javassist.CtConstructor targetCtor, String classname, long calledHash, String ciname)`
`protected AdviceMethodProperties` | `getAdviceMethodProperties(JoinPointGenerator.AdviceSetup setup)`
`protected static String` | `getInfoClassName(long callingHash, String classname, long calledHash)`
`protected static String` | `getInfoFieldName(long callingHash, String classname, long calledHash)`
`protected String` | `getJoinPointGeneratorFieldName()`
`protected static String` | `getJoinPointGeneratorFieldName(long callingHash, String classname, long calledHash)`
`protected Class` | `getReturnType()`
`protected boolean` | `hasCallingObject()`
`protected boolean` | `hasTargetObject()`
`protected void` | `initialiseJoinPointNames()`
`protected boolean` | `isCaller()`
`protected boolean` | `isVoid()`
`protected void` | `overrideDispatchMethods(javassist.CtClass superClass, javassist.CtClass clazz, JoinPointInfo newInfo)` Normal people don't want to override the dispatch method

Methods inherited from class org.jboss.aop.instrument.JoinPointGenerator
`addUntransformableInterface, addUntransformableInterface, appendAroundCallString, generateJoinPointClass, overrideDispatchMethods, rebindJoinpoint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERATOR_PREFIX

    public static final String GENERATOR_PREFIX

See Also:
  Constant Field Values

### JOINPOINT_CLASS_PREFIX

    public static final String JOINPOINT_CLASS_PREFIX

See Also:
  Constant Field Values

### JOINPOINT_FIELD_PREFIX

    public static final String JOINPOINT_FIELD_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ConByMethodJoinPointGenerator

    public ConByMethodJoinPointGenerator(GeneratedClassAdvisor advisor,
                                         JoinPointInfo info)

Method Detail

### initialiseJoinPointNames

    protected void initialiseJoinPointNames()

  Specified by:
    `initialiseJoinPointNames` in class `JoinPointGenerator`

### isVoid

    protected boolean isVoid()

  Specified by:
    `isVoid` in class `JoinPointGenerator`

### getReturnType

    protected Class getReturnType()

  Specified by:
    `getReturnType` in class `JoinPointGenerator`

### getAdviceMethodProperties

    protected AdviceMethodProperties getAdviceMethodProperties(JoinPointGenerator.AdviceSetup setup)

  Specified by:
    `getAdviceMethodProperties` in class `JoinPointGenerator`

### isCaller

    protected boolean isCaller()

  Overrides:
    `isCaller` in class `JoinPointGenerator`

### hasCallingObject

    protected boolean hasCallingObject()

  Overrides:
    `hasCallingObject` in class `JoinPointGenerator`

### hasTargetObject

    protected boolean hasTargetObject()

  Specified by:
    `hasTargetObject` in class `JoinPointGenerator`

### overrideDispatchMethods

    protected void overrideDispatchMethods(javassist.CtClass superClass,
                                           javassist.CtClass clazz,
                                           JoinPointInfo newInfo)
                                    throws javassist.CannotCompileException,
                                           javassist.NotFoundException

  Description copied from class: `JoinPointGenerator`
  Normal people don't want to override the dispatch method

  Overrides:
    `overrideDispatchMethods` in class `JoinPointGenerator`
  Throws:
    `javassist.CannotCompileException`
    `javassist.NotFoundException`

### createJoinpointBaseClass

    protected static javassist.CtClass createJoinpointBaseClass(GeneratedAdvisorInstrumentor instrumentor,
                                                                long callingHash,
                                                                boolean hasCallingObject,
                                                                javassist.CtClass callingClass,
                                                                javassist.CtConstructor targetCtor,
                                                                String classname,
                                                                long calledHash,
                                                                String ciname)
                                                         throws javassist.NotFoundException,
                                                                javassist.CannotCompileException

  Throws:
    `javassist.NotFoundException`
    `javassist.CannotCompileException`

### getJoinPointGeneratorFieldName

    protected String getJoinPointGeneratorFieldName()

  Specified by:
    `getJoinPointGeneratorFieldName` in class `JoinPointGenerator`

### getInfoClassName

    protected static String getInfoClassName(long callingHash,
                                             String classname,
                                             long calledHash)

### getInfoFieldName

    protected static String getInfoFieldName(long callingHash,
                                             String classname,
                                             long calledHash)

### getJoinPointGeneratorFieldName

    protected static String getJoinPointGeneratorFieldName(long callingHash,
                                                           String classname,
                                                           long calledHash)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.